classification
Title: pdb uses the locale encoding for .pdbrc
Type: Stage: resolved
Components: Library (Lib) Versions: Python 3.11
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: eamanu, methane, serhiy.storchaka, thatiparthy, vstinner
Priority: normal Keywords: patch

Created on 2020-06-27 07:23 by serhiy.storchaka, last changed 2021-09-23 09:38 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21263 merged thatiparthy, 2020-07-01 16:43
PR 28518 merged vstinner, 2021-09-22 13:39
Messages (4)
msg372454 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2020-06-27 07:23
pdb uses the locale encoding when read the .pdbrc file. It means that the current locale of the debugged program affects it. It also makes .pdbrc not portable between different platforms.

It is usually not an issue, because the .pdbrc file usually contains ASCII-only data. But maybe always use UTF-8 for .pdbrc files?
msg372459 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2020-06-27 09:09
+1 for UTF-8 always.
msg397127 - (view) Author: Inada Naoki (methane) * (Python committer) Date: 2021-07-08 07:16
New changeset 58248d94379b202ccce3e45b1d1830ca47683273 by Srinivas Reddy Thatiparthy (శ్రీనివాస్  రెడ్డి తాటిపర్తి) in branch 'main':
bpo-41137: Use utf-8 encoding while reading .pdbrc files (GH-21263)
https://github.com/python/cpython/commit/58248d94379b202ccce3e45b1d1830ca47683273
msg402484 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2021-09-23 09:38
New changeset ec7ffa4b5b262369f726a54e145e9c03eaeb4c1a by Victor Stinner in branch 'main':
bpo-41137: Reorganize What's New in Python 3.11 (GH-28518)
https://github.com/python/cpython/commit/ec7ffa4b5b262369f726a54e145e9c03eaeb4c1a
History
Date User Action Args
2021-09-23 09:38:02vstinnersetmessages: + msg402484
2021-09-22 13:39:06vstinnersetnosy: + vstinner

pull_requests: + pull_request26909
2021-07-08 07:16:30methanesetmessages: + msg397127
2021-07-08 07:16:25methanesetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.11
2021-04-05 13:47:31serhiy.storchakalinkissue43734 superseder
2020-07-02 02:23:30eamanusetnosy: + eamanu
2020-07-01 16:43:49thatiparthysetkeywords: + patch
nosy: + thatiparthy

pull_requests: + pull_request20411
stage: patch review
2020-06-27 09:09:20methanesetnosy: + methane
messages: + msg372459
2020-06-27 08:32:28serhiy.storchakalinkissue41063 dependencies
2020-06-27 07:23:15serhiy.storchakacreate